using System;

internal sealed class Delegate153 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate153 delegate153_1)
	{
		return delegate153_1(object_0);
	}

	public extern Delegate153(object object_0, IntPtr intptr_0);

	static Delegate153()
	{
		Class10.smethod_13(typeof(Delegate153).TypeHandle);
	}

	internal static Delegate153 delegate153_0;
}
